clearvars

%% add path to relevant codes

paths.local             =   cd;
addpath([paths.local '\replic_aux_codes'])

%% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%% Replication of Garcia, Guarda, Kirchner and Tranamil 2019 %%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%


        do_.figs_GGKT_2019    = 1; % 1 to replicate the paper's main figures
        do_.tables_GGKT_2019  = 1; % 1 to replicate the paper's main tables
        do_.reestim_GGKT_2019 = 0; % 1 to reestimate the model 



        
        %% replicate figures

        if do_.figs_GGKT_2019==1

            % Choose figures to replicate

            do_.fig_GGKT_2019(2)=1;
            do_.fig_GGKT_2019(3)=1;
            do_.fig_GGKT_2019(4)=1;
            do_.fig_GGKT_2019(5)=1;
            do_.fig_GGKT_2019(6)=1;
            do_.fig_GGKT_2019(7)=1;
            do_.fig_GGKT_2019(8)=1;
            do_.fig_GGKT_2019(9)=1;
            do_.fig_GGKT_2019(10)=1;
            do_.fig_GGKT_2019(11)=1;
            do_.fig_GGKT_2019(13)=1;
            do_.fig_GGKT_2019(14)=1;
            do_.fig_GGKT_2019(15)=1;
            do_.fig_GGKT_2019(16)=1;
            do_.fig_GGKT_2019(17)=1;

            replic_figs_GGKT_2019
        end

        %% replicate tables
        if do_.tables_GGKT_2019==1
            % Choose tables to replicate

            do_.tab_GGKT_2019(3)=1;
            do_.tab_GGKT_2019(4)=1;
            do_.tab_GGKT_2019(5)=1;
            do_.tab_GGKT_2019(6)=1;
            do_.tab_GGKT_2019(8)=1;


            replic_tables_GGKT_2019
        end

        %% reestimate model
        %Warning: This can take a very long time.

        if do_.reestim_GGKT_2019==1
            
            reestimate_GGKT_2019
            
        end


%% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%% Replication of Garcia and Guerra 2020 %%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

        do_.figs_GG_2020 = 1; % 1 to replicate the paper's main figures


        %% replicate figures
        if do_.figs_GG_2020

            % Choose figures to replicate

            do_.fig_GG_2020(5)=1;
            do_.fig_GG_2020(6)=1;
            do_.fig_GG_2020(7)=1;
            do_.fig_GG_2020(8)=1;
            do_.fig_GG_2020(9)=1;

            replic_figs_GG_2020
        end

%% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%% Replication of Uso de Modelos Macroeconómicos en el BCCh %%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

        do_.figs_BCCh_2020 = 1; % 1 to replicate figure 3.3.2.2 of BCCh(2020)


        %% replicate figures
        if do_.figs_BCCh_2020   
            replic_figs_BCCh_2020
        end